import request from '@/utils/request'

// 查询项目申报列表
export function listApplication(query) {
  return request({
    url: '/project/application/list',
    method: 'get',
    params: query
  })
}

// 查询项目申报详细
export function getApplication(projectId) {
  return request({
    url: '/project/application/' + projectId,
    method: 'get'
  })
}

// 新增项目申报
export function addApplication(data) {
  return request({
    url: '/project/application',
    method: 'post',
    data: data
  })
}

// 修改项目申报
export function updateApplication(data) {
  return request({
    url: '/project/application',
    method: 'put',
    data: data
  })
}

// 删除项目申报
export function delApplication(projectId) {
  return request({
    url: '/project/application/' + projectId,
    method: 'delete'
  })
}
